%global fontconf 31-cantarell.conf

Summary:  The Cantarell font software
Name:     abattis-cantarell-fonts
Version:  0.301
Release:  8%{?dist}
License:  OFL
URL:      https://gitlab.gnome.org/GNOME/cantarell-fonts/
Source0:  http://download.gnome.org/sources/cantarell-fonts/%{version}/cantarell-fonts-%{version}.tar.xz
Source1:  cantarell-fontconfig.conf
BuildArch: noarch

BuildRequires: meson, fontpackages-devel, gettext
Requires: fontpackages-filesystem

%description
The Cantarell typeface family is a contemporary Humanist sans serif, and is
used by the GNOME project for its user interface.



%prep
%autosetup -n cantarell-fonts-%{version}



%build
%meson
%meson_build



%install
%meson_install

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}



%files
%license COPYING
%doc NEWS README.md
%{_fontconfig_templatedir}/%{fontconf}
%{_fontconfig_confdir}/%{fontconf}
%{_datadir}/fonts/cantarell/*.otf
%{_datadir}/metainfo/org.gnome.cantarell.metainfo.xml



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.301-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Mon Aug 19 2024 rockerzhu <rockerzhu@tencent.com> - 0.301-7
- Fix constant version in source url to variable version for auto upgrade.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.301-6
- Rebuilt for loongarch release

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 0.301-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.301-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.301-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.301-2
- Rebuilt for OpenCloudOS Stream 23

* Tue May 24 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.301-1
- Initial Building . 
